---
title: Retrieve the SLA object
description: List the LDAP service level agreement (SLA) objects (configuration data) and query any single LDAP SLA object.
component: pingdirectory
version: 9.3
page_id: pingdirectory:pingdatametrics_server_administration_guide:pd_met_retrieve_sla_object
canonical_url: https://docs.pingidentity.com/pingdirectory/9.3/pingdatametrics_server_administration_guide/pd_met_retrieve_sla_object.html
revdate: September 13, 2023
section_ids:
  example: Example
---

# Retrieve the SLA object

List the LDAP service level agreement (SLA) objects (configuration data) and query any single LDAP SLA object.

The default format will be JSON if none is specified. The servlet will use the HTTP Accept header as a hint if no specific format is specified.

|                  |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ---------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| URL              | `/api/v1/sla/ldap` returns a list of all LDAP SLA configuration objects in name-order. This includes current values and status as held by the Threshold objects, but will only include any historical data.`/api/v1/sla/ldap/{sla-name}` returns a single LDAP SLA configuration object plus optional historical data.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| Method           | GET                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| Formats          | JSON, XML                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| Query Parameters | For the first URL:- `instance`

  Returns LDAP SLA's that reference the specified instance.

- `application-name`

  Returns LDAP SLA's that reference this application name.

- `ldap-op`

  Returns LDAP SLA's that reference this LDAP operation.For the second URL:- `historical`

  multi-valued, optional:

  * `time` - Includes time series data.

  * `limits` - Includes the percent of time thresholds limits that have been exceeded. Requires Threshold.

  * `alerts` - Includes all Threshold alerts. Requires thresholding.

  * `histogram` - includes response-time histogram as column data.

  * `nines` - Includes response time values that correlate to 99%, 99.9%, 99.99%, and 99.999% response-time measurements)

- `startTime`

  (optional). The time at which the historical data starts. The default is `1hr`.

- `endTime`

  (optional). The time at which the historical data ends. The default is `5m`.

- `pivot`

  (optional) Historical time-series pivots by this dimension

  * `instance` - pivot by producing server.

  * `ldap-op` - pivot by LDAP operation.

  * `histogram` - pivot response-time series by histogram buckets.

- `maxIntervals`

  (optional). Number of points to include in the historical time series. The default is 100. |

## Example

Retrieving an SLA object.

```shell
curl -X GET http://x3550-
09:8080/api/v1/sla/ldap/Acme+Identity+Portal?historical=time
\&historical=nines\&pivot=instance\&startTime=-15m
```

|               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| ------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Response Code | 200 0K                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Response Body | ```json
{
  "name":"Acme Identity Portal",
  "applicationName":"Application 5",
  "ldapOps":["search"],
  "servers":["x2270-08.pingidentity.lab:1389"],
  "enabled":true,
  "responeTimeState":"NORMAL",
  "throughputState":"normal",
  "currentResponseTime":6.002752,
  "currentThroughput":7032.794,
  "averageResponseTime":6.212055,
  "averageThroughput":5517.1323,
  "responseTimeWarnLimit":8.0,
  "responseTimeCriticalLimit":10.0,
  "throughputWarnLimit":8000.0,
  "throughputCriticalLimit":10000.0,
  "responseTimeSeries":{
  "type":"timeInterval",
  "firstSampleTime":1359045070000,
  "lastSampleTime":1359045970000,
  "rateScaling":"NONE",
  "statistic":"AVERAGE",
  "metric":{
  "type":"discreteValued",
  "id":"response-time",
  "name":"Response Time",
  "shortName":"Response Time",
  "description":"Time for server to process
  an LDAP operation and send a response to the client.",
  "group":"LDAP",
  "instanceTypes":["directory-server","proxy"],
  "statistics":["average","count","histogram"],
  "dimensions":[{"id":"application-name",
  "values":["unidentified directory application",
  "unidentified proxy application","application 9",
  "application 5","root user","admin user",
  "application 6"]},{"id":"op-type","values"
  ["search","modifydn","add","delete","compare",
  "bind","modify"]}],
  "countUnit":{"singularName":"Operation Response Time",
  "pluralName":"Operation Response Time",
  "abbreviatedName":"Response Time"},
  "valueUnit":{"singularName":"Millisecond",
  "pluralName":"Milliseconds","abbreviatedName":"Msec"}
 },
...
``` |
